Associated revisions
Revision 3637985f - 2008-11-07 16:02 - Robert Lemke

COMMIT PART 1

    -  FLOW3: Implemented a YAML configuration source, resolves #1852
    -  Globally refactored code and converted configuration files to use the new YAML configuration format

Note: FLOW3 is now getting even slower because the whole YAML parsing results are not cached yet.
You can still use .php based configuration but it is recommended to switch over to YAML ASAP.

Documentation and speed improvements follow

History
#1 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2008-11-05 11:14 - Robert Lemke
- Tracker changed from Bug to Feature

#3 - 2008-11-05 11:14 - Robert Lemke
- Assigned To set to Robert Lemke

#4 - 2008-11-05 18:56 - Robert Lemke
- File Profiling_ConfigurationContainer_vs_Array.png added
- Status changed from New to Accepted

Did some profiling to see how expensive the usage of configuration containers is (instead of using plain arrays). See attached screenshot for the
results while just generating 10000 nested configuration options.

#5 - 2008-11-05 18:57 - Robert Lemke
- File deleted (Profiling_ConfigurationContainer_vs_Array.png)
#6 - 2008-11-05 18:57 - Robert Lemke
- File Profiling_ConfigurationContainer_vs_Array.png added

#7 - 2008-11-05 19:06 - Robert Lemke
- File test.php added

#8 - 2008-11-05 19:30 - Robert Lemke
- File Profiling_ConfigurationContainer_ArrayObject.png added

Here's another variant, with ArrayObjects

#9 - 2008-11-07 16:05 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1448.

Files
Profiling_ConfigurationContainer_vs_Array.png 161 kB 2008-11-05 Robert Lemke
test.php 10.4 kB 2008-11-05 Robert Lemke
Profiling_ConfigurationContainer_ArrayObject.png 122.5 kB 2008-11-05 Robert Lemke

2015-08-03 2/2


